MagickCore: string.c File Reference

# string.c File Reference

`#include "magick/studio.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/list.h"`
`#include "magick/log.h"`
`#include "magick/memory_.h"`
`#include "magick/property.h"`
`#include "magick/resource_.h"`
`#include "magick/signature.h"`
`#include "magick/string_.h"`

## Functions
MagickExport char * | AcquireString (const char *source)
MagickExport StringInfo * | AcquireStringInfo (const size_t length)
MagickExport char * | CloneString (char **destination, const char *source)
MagickExport StringInfo * | CloneStringInfo (const StringInfo *string_info)
static size_t | MagickMin (const size_t x, const size_t y)
MagickExport int | CompareStringInfo (const StringInfo *target, const StringInfo *source)
MagickExport size_t | ConcatenateMagickString (char *destination, const char *source, const size_t length)
MagickExport MagickBooleanType | ConcatenateString (char **destination, const char *source)
MagickExport void | ConcatenateStringInfo (StringInfo *string_info, const StringInfo *source)
MagickExport StringInfo * | ConfigureFileToStringInfo (const char *filename)
MagickExport char * | ConstantString (const char *source)
MagickExport size_t | CopyMagickString (char *destination, const char *source, const size_t length)
MagickExport char * | DestroyString (char *string)
MagickExport StringInfo * | DestroyStringInfo (StringInfo *string_info)
MagickExport char ** | DestroyStringList (char **list)
MagickExport char * | EscapeString (const char *source, const char escape)
MagickExport char * | FileToString (const char *filename, const size_t extent, ExceptionInfo *exception)
MagickExport StringInfo * | FileToStringInfo (const char *filename, const size_t extent, ExceptionInfo *exception)
MagickExport long | FormatMagickSize (const MagickSizeType size, char *format)
MagickExport long | FormatMagickStringList (char *string, const size_t length, const char *format, va_list operands)
MagickExport long | FormatMagickString (char *string, const size_t length, const char *format,...)
MagickExport long | FormatMagickTime (const time_t time, const size_t length, char *timestamp)
MagickExport char * | GetEnvironmentValue (const char *name)
MagickExport unsigned char * | GetStringInfoDatum (const StringInfo *string_info)
MagickExport size_t | GetStringInfoLength (const StringInfo *string_info)
MagickExport const char * | GetStringInfoPath (const StringInfo *string_info)
MagickExport long | LocaleCompare (const char *p, const char *q)
MagickExport void | LocaleLower (char *string)
MagickExport long | LocaleNCompare (const char *p, const char *q, const size_t length)
MagickExport void | LocaleUpper (char *string)
MagickExport void | PrintStringInfo (FILE *file, const char *id, const StringInfo *string_info)
MagickExport void | ResetStringInfo (StringInfo *string_info)
MagickExport void | SetStringInfo (StringInfo *string_info, const StringInfo *source)
MagickExport void | SetStringInfoDatum (StringInfo *string_info, const unsigned char *source)
MagickExport void | SetStringInfoLength (StringInfo *string_info, const size_t length)
MagickExport void | SetStringInfoPath (StringInfo *string_info, const char *path)
MagickExport StringInfo * | SplitStringInfo (StringInfo *string_info, const size_t offset)
MagickExport StringInfo * | StringToStringInfo (const char *string)
MagickExport char * | StringInfoToString (const StringInfo *string_info)
MagickExport char ** | StringToArgv (const char *text, int *argc)
MagickExport double | StringToDouble (const char *string, const double interval)
MagickExport char * | StringToken (const char *delimiters, char **string)
MagickExport char ** | StringToList (const char *text)
MagickExport void | StripString (char *message)
MagickExport MagickBooleanType | SubstituteString (char **buffer, const char *search, const char *replace)

## Function Documentation

MagickExport char* AcquireString | ( | const char * | source | ) |

MagickExport StringInfo* AcquireStringInfo | ( | const size_t | length | ) |

MagickExport char* CloneString | ( | char ** | destination,
|  | const char * | source |
| ) |  |  |

MagickExport StringInfo* CloneStringInfo | ( | const StringInfo * | string_info | ) |

MagickExport int CompareStringInfo | ( | const StringInfo * | target,
|  | const StringInfo * | source |
| ) |  |  |

MagickExport size_t ConcatenateMagickString | ( | char * | destination,
|  | const char * | source,
|  | const size_t | length |
| ) |  |  |

MagickExport MagickBooleanType ConcatenateString | ( | char ** | destination,
|  | const char * | source |
| ) |  |  |

MagickExport void ConcatenateStringInfo | ( | StringInfo * | string_info,
|  | const StringInfo * | source |
| ) |  |  |

MagickExport StringInfo* ConfigureFileToStringInfo | ( | const char * | filename | ) |

MagickExport char* ConstantString | ( | const char * | source | ) |

MagickExport size_t CopyMagickString | ( | char * | destination,
|  | const char * | source,
|  | const size_t | length |
| ) |  |  |

MagickExport char* DestroyString | ( | char * | string | ) |

MagickExport StringInfo* DestroyStringInfo | ( | StringInfo * | string_info | ) |

MagickExport char** DestroyStringList | ( | char ** | list | ) |

MagickExport char* EscapeString | ( | const char * | source,
|  | const char | escape |
| ) |  |  |

MagickExport char* FileToString | ( | const char * | filename,
|  | const size_t | extent,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport StringInfo* FileToStringInfo | ( | const char * | filename,
|  | const size_t | extent,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport long FormatMagickSize | ( | const MagickSizeType | size,
|  | char * | format |
| ) |  |  |

MagickExport long FormatMagickString | ( | char * | string,
|  | const size_t | length,
|  | const char * | format,
|  |  | ... |
| ) |  |  |

MagickExport long FormatMagickStringList | ( | char * | string,
|  | const size_t | length,
|  | const char * | format,
|  | va_list | operands |
| ) |  |  |

MagickExport long FormatMagickTime | ( | const time_t | time,
|  | const size_t | length,
|  | char * | timestamp |
| ) |  |  |

MagickExport char* GetEnvironmentValue | ( | const char * | name | ) |

MagickExport unsigned char* GetStringInfoDatum | ( | const StringInfo * | string_info | ) |

MagickExport size_t GetStringInfoLength | ( | const StringInfo * | string_info | ) |

MagickExport const char* GetStringInfoPath | ( | const StringInfo * | string_info | ) |

MagickExport long LocaleCompare | ( | const char * | p,
|  | const char * | q |
| ) |  |  |

MagickExport void LocaleLower | ( | char * | string | ) |

MagickExport long LocaleNCompare | ( | const char * | p,
|  | const char * | q,
|  | const size_t | length |
| ) |  |  |

MagickExport void LocaleUpper | ( | char * | string | ) |

static size_t MagickMin | ( | const size_t | x,
|  | const size_t | y |
| ) |  |  | `[inline, static]`

MagickExport void PrintStringInfo | ( | FILE * | file,
|  | const char * | id,
|  | const StringInfo * | string_info |
| ) |  |  |

MagickExport void ResetStringInfo | ( | StringInfo * | string_info | ) |

MagickExport void SetStringInfo | ( | StringInfo * | string_info,
|  | const StringInfo * | source |
| ) |  |  |

MagickExport void SetStringInfoDatum | ( | StringInfo * | string_info,
|  | const unsigned char * | source |
| ) |  |  |

MagickExport void SetStringInfoLength | ( | StringInfo * | string_info,
|  | const size_t | length |
| ) |  |  |

MagickExport void SetStringInfoPath | ( | StringInfo * | string_info,
|  | const char * | path |
| ) |  |  |

MagickExport StringInfo* SplitStringInfo | ( | StringInfo * | string_info,
|  | const size_t | offset |
| ) |  |  |

MagickExport char* StringInfoToString | ( | const StringInfo * | string_info | ) |

MagickExport char** StringToArgv | ( | const char * | text,
|  | int * | argc |
| ) |  |  |

MagickExport double StringToDouble | ( | const char * | string,
|  | const double | interval |
| ) |  |  |

MagickExport char* StringToken | ( | const char * | delimiters,
|  | char ** | string |
| ) |  |  |

MagickExport char** StringToList | ( | const char * | text | ) |

MagickExport StringInfo* StringToStringInfo | ( | const char * | string | ) |

MagickExport void StripString | ( | char * | message | ) |

MagickExport MagickBooleanType SubstituteString | ( | char ** | buffer,
|  | const char * | search,
|  | const char * | replace |
| ) |  |  |